<?php
/**
 * Created by PhpStorm.
 * User: radko
 * Date: 2018-12-13
 * Time: 10:00
 */

Route::prefix('/api/vzdelavanie/sprava/kniznica/')
    ->middleware('api')
    ->namespace('Seka\Vzdelavanie\Http\Controllers\Api\Backend\Kniznica')
    ->group(function () {
        Route::apiResource('kategorie', 'KategoriaController')
            ->names([
                'index' => 'api.vzdelavanie.kniznica.kategoria.index',
            ])->only([
                'index',
            ]);

        Route::apiResource('ucebne-materialy', 'UcebnicaController')
            ->parameters([
                'ucebne-materialy' => 'id',
            ])->names([
                'index' => 'api.vzdelavanie.kniznica.ucebnica.index',
                'show' => 'api.vzdelavanie.kniznica.ucebnica.show',
            ])->only([
                'index',
                'show',
            ]);

        Route::apiResource('ucebne-materialy/{ucebnicaId}/sekcie', 'SekciaController')
            ->parameters([
                'sekcie' => 'ucebnicaId',
            ])->names([
                'index' => 'api.vzdelavanie.kniznica.sekcia.index',
            ])->only([
                'index',
            ]);

        Route::apiResource('kategorie/{vzdKnzncKategoriaId}/ucebne-materialy/{vzdKnzncUcbnMtrlId}/sekcie', 'SekciaController')
            ->parameters([
                'sekcie' => 'vzdKnzncSekciaId',
            ])
            ->names([
                'update' => 'api.vzdelavanie.kniznica.sekcia.update',
                'destroy' => 'api.vzdelavanie.kniznica.sekcia.destroy',
            ])->only([
                'update',
                'destroy',
            ]);

        Route::apiResource('sekcie', 'SekciaController')
            ->parameters([
                'sekcie' => 'id',
            ])->names([
                'show' => 'api.vzdelavanie.kniznica.sekcia.show',
            ])->only([
                'show',
            ]);
    }
);
